Skip to content

(deprecated) This endpoint can be used to automatically register a user.

POST
/api/v1/user/register

DEPRECATED: Please use POST /api/v2/user.

Take note to send only valid website locales. See the list of supported locales in the model V1\System\WebsiteLocale below.

object
identifier
required

The user identifier of the user.

string
Example
c6fefe8d7ac0f4113876d634e8d15f65947f1b62d4859fffcd2464d2be58b2d8
emailAddress
required

E-mail address of the user.

string
Example
phoneNumber
required

Phone number of the user, in the format +countrycodenumber (no dashes, spaces or other special characters).

string
Example
+31612345678
dateOfBirth

Date of birth of the user, in the ISO 8601 format (YYYY-MM-DD).

string
Example
1984-12-27
firstName
required

First name of the user.

string
Example
John
lastName
required

Last name of the user.

string
Example
Doe
country
required

ISO 3166-1 alpha-2 country code of the user.

string
Example
NL
websiteLanguage
required

The language to use on the website.

string
Allowed values: nl en fr de es
Example
en
websiteCountry
required

The country to use on the website.

string
Allowed values: at be fr de ie li lu mc nl es ch gb
Example
gb
identityDocumentFirstNames

First names as they appear on the identity document

string
Example
Johannes Jacobus Cornelius
identityDocumentLastName

Last name as it appears on the identity document

string
Example
Jansen
identityDocumentType
required

Type of identity document used.

string
Allowed values: Passport IdentityCard DrivingLicence ResidencePermit
Example
Passport
identityDocumentNumber

Number of the identity document

string
Example
IN172F4
identityDocumentCountry

ISO 3166-1 alpha-2 country code of the country which issued the identity document.

string
Example
NL

User information retrieved successfully.

object
emailAddress

Email address of the user.

string
Example
firstName

First name of the user.

string
Example
John
lastName

Last name of the user.

string
Example
Doe
region

Region of the user.

string
Example
nl-nl
phoneNumber

Phone number of the user.

string
registrationDate

Registration date of the user.

string
Example
2019-01-01T14:13:55Z
activationDate

The date and time the user account was activated.

string
Example
2019-01-02T12:43:25Z
is_business
boolean
limits
object
buy
object
limit
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
remaining
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
interval

The interval of the trade limit.

string
Example
P1D
sell
object
limit
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
remaining
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
interval

The interval of the trade limit.

string
Example
P1D
enabledIbanAccounts

Deprecated: Use enabledAccounts instead. Enabled IBAN accounts of the user.

Array<object>
object
number
string
holder
string
verified
boolean
enabledWalletAddresses

Enabled wallet addresses of the user.

Array<object>
object
currency

The currency.

string
Example
BTC
address

The address.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
default: [object Object] nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}
name

A descriptive name.

string
Example
My BTC wallet 1
status
string
Allowed values: open pending disabled verified rejected
walletType
One of:
string
Allowed values: vasp unhosted
verificationStatus
One of:
string
Allowed values: required travel_rule_required
id

The id.

integer
Example
189632
enabledAccounts

Enabled accounts of the user.

Array<object>
object
type

The account type.

string
Example
iban
name

Human-readable label for the account (e.g. “My bank account”).

string
Example
My bank account
identifier

Account identifier such as IBAN or wallet address.

string
Example
NL00BANK0123456789
verified

Indicates whether the account has been verified.

boolean
Example
true
limitRaised

Indicates whether the account limit has been raised.

boolean
status
object
status

The validation status.

string
Allowed values: pending validated not-validated blocked
Example
blocked
description

Description of the validation status.

string
Example
Identification process did not succeed.
details
object
amld5VerificationStatus

Status of the AMLD5 verification.

string
Allowed values: open verified
Example
verified
emailAddressVerificationStatus

Status of the email address verification.

string
Allowed values: open pending failed verified
Example
verified
identityVerificationStatus

Status of the identity verification.

string
Allowed values: open pending failed verified
Example
pending
privacyAgreementVerificationStatus

Status of the acceptance of the privacy agreement.

string
Allowed values: open pending failed verified
Example
failed
identityDocumentVerificationStatus
Array<object>
object
documentType

The document type.

string
Allowed values: Passport IdentityCard DrivingLicence Selfie SecondSelfie ProofOfResidency ResidencePermit IbanVerification WalletVerification LivenessCheck
Example
Passport
documentSide

The side of the document.

string
Allowed values: Front Back Selfie SecondSelfie ProofOfResidency VideoProof
Example
Front
status

The status of the document.

string
Allowed values: missing pending present rejected
Example
missing
residentialAddressVerificationStatus

Status of the residential address verification.

string
Allowed values: missing present
Example
present
verificationLevel
object
id
required

The verification level UUID.

string format: uuid
Example
a1b2c3d4-0003-4000-8000-000000000003
level
required

The verification level identifier.

string
Example
hero
buyLimit
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
sellLimit
required
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER001 ER003 ER023 ER024 ER053 ER058 ER059 ER060 ER061 ER064 ER067 ER068 ER069 ER070 ER071 ER072 ER073 ER074 ER080 ER081 ER082 ER083 ER084 ER121 ER126 ER127 ER128 ER181 ER182 ER183 ER184 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER001": {
"code": "ER001",
"message": "Email address is invalid.",
"solution": "Provide a valid email address."
},
"ER003": {
"code": "ER003",
"message": "No email address provided.",
"solution": "Provide a valid email address."
},
"ER023": {
"code": "ER023",
"message": "No first name provided.",
"solution": "Provide a first name."
},
"ER024": {
"code": "ER024",
"message": "No last name provided.",
"solution": "Provide a last name."
},
"ER053": {
"code": "ER053",
"message": "Missing identifier.",
"solution": "Provide a valid identifier."
},
"ER058": {
"code": "ER058",
"message": "No phone number provided.",
"solution": "Provide a valid phone number."
},
"ER059": {
"code": "ER059",
"message": "Invalid phone number provided.",
"solution": "Provide a valid phone number."
},
"ER060": {
"code": "ER060",
"message": "No ISO 3166-1 alpha-2 country code provided.",
"solution": "Provide a valid ISO 3166-1 alpha-2 country code."
},
"ER061": {
"code": "ER061",
"message": "Invalid ISO 3166-1 alpha-2 country code provided.",
"solution": "Provide a valid ISO 3166-1 alpha-2 country code."
},
"ER064": {
"code": "ER064",
"message": "Invalid business country code provided.",
"solution": "Provide a valid business country code."
},
"ER067": {
"code": "ER067",
"message": "No identity document type provided.",
"solution": "Provide a valid identity document type."
},
"ER068": {
"code": "ER068",
"message": "No identity document number provided.",
"solution": "Provide a valid identity document number."
},
"ER069": {
"code": "ER069",
"message": "No identity document country provided.",
"solution": "Provide a valid identity document country."
},
"ER070": {
"code": "ER070",
"message": "No identity document first names provided.",
"solution": "Provide the first names as they appear on the identity document."
},
"ER071": {
"code": "ER071",
"message": "No identity document last name provided.",
"solution": "Provide the last name as it appears on the identity document."
},
"ER072": {
"code": "ER072",
"message": "No date of birth provided.",
"solution": "Provide a valid date of birth."
},
"ER073": {
"code": "ER073",
"message": "Invalid date of birth provided.",
"solution": "Provide a valid date of birth."
},
"ER074": {
"code": "ER074",
"message": "Invalid identity document type provided.",
"solution": "Provide a valid identity document type."
},
"ER080": {
"code": "ER080",
"message": "No website language provided.",
"solution": "Provide a valid website language."
},
"ER081": {
"code": "ER081",
"message": "Invalid website language provided.",
"solution": "Provide a valid website language."
},
"ER082": {
"code": "ER082",
"message": "No website country provided.",
"solution": "Provide a valid website country."
},
"ER083": {
"code": "ER083",
"message": "Invalid website country provided.",
"solution": "Provide a valid website country."
},
"ER084": {
"code": "ER084",
"message": "Invalid website language/country combination provided.",
"solution": "Provide a valid website language/country combination."
},
"ER121": {
"code": "ER121",
"message": "Invalid Chamber of Commerce number provided.",
"solution": "Provide a valid, Chamber of Commerce number."
},
"ER126": {
"code": "ER126",
"message": "Invalid first name.",
"solution": "Remove any emoji, < or > characters from the first name."
},
"ER127": {
"code": "ER127",
"message": "Invalid last name.",
"solution": "Remove any emoji, < or > characters from the last name."
},
"ER128": {
"code": "ER128",
"message": "Invalid identity document number provided.",
"solution": "Provide a valid identity document number."
},
"ER181": {
"code": "ER181",
"message": "Invalid residential address provided.",
"solution": "Provide a valid residential address."
},
"ER182": {
"code": "ER182",
"message": "Invalid residential address number provided.",
"solution": "Provide a valid residential address number."
},
"ER183": {
"code": "ER183",
"message": "Invalid residential city provided.",
"solution": "Provide a valid residential city."
},
"ER184": {
"code": "ER184",
"message": "Invalid residential postcal code provided.",
"solution": "Provide a valid residential postcal code."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}